at.chipkarte.client.bkf.soap

## Class SZMMammographieZweitbefunder

- Object
- - at.chipkarte.client.bkf.soap.SZMMammographieZweitbefunder

-     public class SZMMammographieZweitbefunder
      extends Object

  Diese Klasse enthält die Ergebnisdaten einer Mammographiebefundung durch den Zweitbefunder der Selbstzahler Mammographie (`SelbstzahlerMammographieDoku`).
  Die Angabe eines Zweitbefundes ist bei der Selbstzahler Mammographie optional. Wird SZMMammographieZweitbefunder allerdings angegeben, sind alle Parameter darin verpflichtend anzugeben.
  ParameterID: 1050.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SZMMammographieZweitbefunder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArztID()` Eindeutiger Bezeichner eines Arztes.
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getDichte()` Ergebnis Dichte (D-SCORE).
    `String` | `getErgebnis()` Ergebnis Mammographie (MG-SCORE).
    `void` | `setArztID(String arztID)`
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setDichte(String dichte)`
    `void` | `setErgebnis(String ergebnis)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SZMMammographieZweitbefunder

          public SZMMammographieZweitbefunder()

  - ### Method Detail

    - #### getArztID

          public String getArztID()

      Eindeutiger Bezeichner eines Arztes.
      Angabe: Muss.
      Muss unterschiedlich zur ArztID des Erstbefunders sein. Muss als zertifizierter Arzt gemeldet sein (siehe Funktion `IBkfService.searchBkfArzt(String, String)`).
      Format: 11-stellig
      ParameterID: 1051.
      Returns:
        ArztID

    - #### setArztID

          public void setArztID(String arztID)

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 1053.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getDichte

          public String getDichte()

      Ergebnis Dichte (D-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `DichteTypConstant`.
      ParameterID: 1054.
      Returns:
        Dichte

    - #### setDichte

          public void setDichte(String dichte)

    - #### getErgebnis

          public String getErgebnis()

      Ergebnis Mammographie (MG-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisMammographieTypConstant`.
      ParameterID: 1055.
      Returns:
        Ergebnis

    - #### setErgebnis

          public void setErgebnis(String ergebnis)